probe::nfs.fop.aio_read
Prev | Chapter 31. Network File Storage Tapsets | Next

## Name

probe::nfs.fop.aio_read — NFS client aio_read file operation

## Synopsis

    nfs.fop.aio_read

## Values

`attrtimeo`

  how long the cached information is assumed to be valid. We need to revalidate the cached attrs for this inode if jiffies - read_cache_jiffies > attrtimeo.

`count`

  read bytes

`pos`

  current position of file

`cache_time`

  when we started read-caching this inode

`buf`

  the address of buf in user space

`cache_valid`

  cache related bit mask flag

`parent_name`

  parent dir name

`file_name`

  file name

`ino`

  inode number

`dev`

  device identifier

Prev | Up | Next
probe::nfs.aop.writepages | Home | probe::nfs.fop.aio_write